import { connect } from "react-redux";
import { useState} from "react";
import { actionFullRegister } from "../actions";
import { Redirect } from "react-router-dom";

const Reg = ({ onReg }) => {
    const [login, setLogin] = useState("");
    const [password, setPassword] = useState("");
    //надо тип инпуту
    //надо проверку на пустоту инпутов и запрет кнопки (disabled)
    //надо при кнопке отправить в onLogin login и пароль. onLogin - это функция-колбэк
    return (
      <>
        <input value={login} onChange={(e) => setLogin(e.target.value)} />
        <input
          type="password"
          value={password}
          onChange={(e) => setPassword(e.target.value)}
        />
        <button
          onClick={() => onReg(login, password)}
          disabled={!login || !password}
        >
          Sign in
        </button>
        
      </>
    );
  };
  
  const RegForm = connect(null, {onReg: actionFullRegister})(Reg)

  
export default RegForm