import React from 'react';
import './App.css';
import createHistory from "history/createBrowserHistory";
import {Provider, connect}   from 'react-redux';
import thunk from 'redux-thunk';
import {createStore, combineReducers, applyMiddleware} from 'redux';
import store from './reducers';
import RegForm from './pages/reg';
import Home from './pages/homePage';
import {
  BrowserRouter as Router,
  Switch,
  Route, 
  Link
} from "react-router-dom";

function App() {
  return (
    <div className="App">
      <Provider store = {store}>
      <Router history = {createHistory()}>
      <Route exact path='/' component={Home}/>
      <Route exact path='/registration' component={RegForm}/>
      </Router>
      </Provider>
     
    </div>
  );
}

export default App;
